/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.compute.models;

import com.microsoft.windowsazure.core.LazyArrayList;
import com.microsoft.windowsazure.core.OperationResponse;

import java.util.ArrayList;

/**
* A list of virtual machine image resource information.
*/
public class VirtualMachineImageResourceList extends OperationResponse {
    private ArrayList<VirtualMachineImageResource> resources;
    
    /**
    * Optional. Gets a list of virtual machine image resources.
    * @return The Resources value.
    */
    public ArrayList<VirtualMachineImageResource> getResources() {
        return this.resources;
    }
    
    /**
    * Optional. Gets a list of virtual machine image resources.
    * @param resourcesValue The Resources value.
    */
    public void setResources(final ArrayList<VirtualMachineImageResource> resourcesValue) {
        this.resources = resourcesValue;
    }
    
    /**
    * Initializes a new instance of the VirtualMachineImageResourceList class.
    *
    */
    public VirtualMachineImageResourceList() {
        super();
        this.setResources(new LazyArrayList<VirtualMachineImageResource>());
    }
}
