/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.notificationhubs.models;

/**
* Description of a NotificationHub WnsCredential.
*/
public class WnsCredentialProperties {
    private String packageSid;
    
    /**
    * Optional. Gets or sets the package ID for this credential.
    * @return The PackageSid value.
    */
    public String getPackageSid() {
        return this.packageSid;
    }
    
    /**
    * Optional. Gets or sets the package ID for this credential.
    * @param packageSidValue The PackageSid value.
    */
    public void setPackageSid(final String packageSidValue) {
        this.packageSid = packageSidValue;
    }
    
    private String secretKey;
    
    /**
    * Optional. Gets or sets the secret key.
    * @return The SecretKey value.
    */
    public String getSecretKey() {
        return this.secretKey;
    }
    
    /**
    * Optional. Gets or sets the secret key.
    * @param secretKeyValue The SecretKey value.
    */
    public void setSecretKey(final String secretKeyValue) {
        this.secretKey = secretKeyValue;
    }
    
    private String windowsLiveEndpoint;
    
    /**
    * Optional. Gets or sets the Windows Live endpoint.
    * @return The WindowsLiveEndpoint value.
    */
    public String getWindowsLiveEndpoint() {
        return this.windowsLiveEndpoint;
    }
    
    /**
    * Optional. Gets or sets the Windows Live endpoint.
    * @param windowsLiveEndpointValue The WindowsLiveEndpoint value.
    */
    public void setWindowsLiveEndpoint(final String windowsLiveEndpointValue) {
        this.windowsLiveEndpoint = windowsLiveEndpointValue;
    }
}
