/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.sql.models;

/**
* Represents the maximum size limits for an Azure SQL Database.
*/
public class MaxSizeCapability {
    private int limit;
    
    /**
    * Optional. Gets the maximum size of the database (see 'unit' for the
    * units).
    * @return The Limit value.
    */
    public int getLimit() {
        return this.limit;
    }
    
    /**
    * Optional. Gets the maximum size of the database (see 'unit' for the
    * units).
    * @param limitValue The Limit value.
    */
    public void setLimit(final int limitValue) {
        this.limit = limitValue;
    }
    
    private String status;
    
    /**
    * Optional. Gets the status of the maximum size capability.
    * @return The Status value.
    */
    public String getStatus() {
        return this.status;
    }
    
    /**
    * Optional. Gets the status of the maximum size capability.
    * @param statusValue The Status value.
    */
    public void setStatus(final String statusValue) {
        this.status = statusValue;
    }
    
    private String unit;
    
    /**
    * Optional. Gets the units that the limit is expressed in.
    * @return The Unit value.
    */
    public String getUnit() {
        return this.unit;
    }
    
    /**
    * Optional. Gets the units that the limit is expressed in.
    * @param unitValue The Unit value.
    */
    public void setUnit(final String unitValue) {
        this.unit = unitValue;
    }
}
