/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.sql.models;

/**
* Represents the properties of an Azure SQL Database.
*/
public class ServerProperties {
    private String administratorLogin;
    
    /**
    * Optional. Gets administrator username for the server.
    * @return The AdministratorLogin value.
    */
    public String getAdministratorLogin() {
        return this.administratorLogin;
    }
    
    /**
    * Optional. Gets administrator username for the server.
    * @param administratorLoginValue The AdministratorLogin value.
    */
    public void setAdministratorLogin(final String administratorLoginValue) {
        this.administratorLogin = administratorLoginValue;
    }
    
    private String administratorLoginPassword;
    
    /**
    * Optional. Gets the administrator login password.
    * @return The AdministratorLoginPassword value.
    */
    public String getAdministratorLoginPassword() {
        return this.administratorLoginPassword;
    }
    
    /**
    * Optional. Gets the administrator login password.
    * @param administratorLoginPasswordValue The AdministratorLoginPassword
    * value.
    */
    public void setAdministratorLoginPassword(final String administratorLoginPasswordValue) {
        this.administratorLoginPassword = administratorLoginPasswordValue;
    }
    
    private String fullyQualifiedDomainName;
    
    /**
    * Optional. Gets the fully qualified domain name of the server.
    * @return The FullyQualifiedDomainName value.
    */
    public String getFullyQualifiedDomainName() {
        return this.fullyQualifiedDomainName;
    }
    
    /**
    * Optional. Gets the fully qualified domain name of the server.
    * @param fullyQualifiedDomainNameValue The FullyQualifiedDomainName value.
    */
    public void setFullyQualifiedDomainName(final String fullyQualifiedDomainNameValue) {
        this.fullyQualifiedDomainName = fullyQualifiedDomainNameValue;
    }
    
    private String version;
    
    /**
    * Optional. Gets the version of the server.
    * @return The Version value.
    */
    public String getVersion() {
        return this.version;
    }
    
    /**
    * Optional. Gets the version of the server.
    * @param versionValue The Version value.
    */
    public void setVersion(final String versionValue) {
        this.version = versionValue;
    }
}
