/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.sql.models;

/**
* Represents the properties of an Azure SQL Database Transparent Data
* Encryption Scan.
*/
public class TransparentDataEncryptionActivityProperties {
    private float percentComplete;
    
    /**
    * Optional. Gets the percent complete of the transparent data encryption
    * scan for a Azure SQL Database.
    * @return The PercentComplete value.
    */
    public float getPercentComplete() {
        return this.percentComplete;
    }
    
    /**
    * Optional. Gets the percent complete of the transparent data encryption
    * scan for a Azure SQL Database.
    * @param percentCompleteValue The PercentComplete value.
    */
    public void setPercentComplete(final float percentCompleteValue) {
        this.percentComplete = percentCompleteValue;
    }
    
    private String status;
    
    /**
    * Optional. Gets the status of the Azure SQL Database.
    * @return The Status value.
    */
    public String getStatus() {
        return this.status;
    }
    
    /**
    * Optional. Gets the status of the Azure SQL Database.
    * @param statusValue The Status value.
    */
    public void setStatus(final String statusValue) {
        this.status = statusValue;
    }
}
