/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.azure.management.websites.models;

/**
* Cloning information for target site
*/
public class CloningInfo {
    private boolean cloneCustomHostNames;
    
    /**
    * Optional. Clone custom hostnames
    * @return The CloneCustomHostNames value.
    */
    public boolean isCloneCustomHostNames() {
        return this.cloneCustomHostNames;
    }
    
    /**
    * Optional. Clone custom hostnames
    * @param cloneCustomHostNamesValue The CloneCustomHostNames value.
    */
    public void setCloneCustomHostNames(final boolean cloneCustomHostNamesValue) {
        this.cloneCustomHostNames = cloneCustomHostNamesValue;
    }
    
    private String correlationId;
    
    /**
    * Optional. Correlation Id. Used for bulk cloning operations
    * @return The CorrelationId value.
    */
    public String getCorrelationId() {
        return this.correlationId;
    }
    
    /**
    * Optional. Correlation Id. Used for bulk cloning operations
    * @param correlationIdValue The CorrelationId value.
    */
    public void setCorrelationId(final String correlationIdValue) {
        this.correlationId = correlationIdValue;
    }
    
    private String hostingEnvironment;
    
    /**
    * Optional. Hosting environment
    * @return The HostingEnvironment value.
    */
    public String getHostingEnvironment() {
        return this.hostingEnvironment;
    }
    
    /**
    * Optional. Hosting environment
    * @param hostingEnvironmentValue The HostingEnvironment value.
    */
    public void setHostingEnvironment(final String hostingEnvironmentValue) {
        this.hostingEnvironment = hostingEnvironmentValue;
    }
    
    private boolean overwrite;
    
    /**
    * Optional. Overwrite target site
    * @return The Overwrite value.
    */
    public boolean isOverwrite() {
        return this.overwrite;
    }
    
    /**
    * Optional. Overwrite target site
    * @param overwriteValue The Overwrite value.
    */
    public void setOverwrite(final boolean overwriteValue) {
        this.overwrite = overwriteValue;
    }
    
    private SourceWebSite source;
    
    /**
    * Optional. Source website to clone
    * @return The Source value.
    */
    public SourceWebSite getSource() {
        return this.source;
    }
    
    /**
    * Optional. Source website to clone
    * @param sourceValue The Source value.
    */
    public void setSource(final SourceWebSite sourceValue) {
        this.source = sourceValue;
    }
}
