/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.windowsazure.management.compute.models;

/**
* An access control rule for a public endpoint.
*/
public class AccessControlListRule {
    private String action;
    
    /**
    * Optional. The action allowed by this Access Control List Rule.
    * @return The Action value.
    */
    public String getAction() {
        return this.action;
    }
    
    /**
    * Optional. The action allowed by this Access Control List Rule.
    * @param actionValue The Action value.
    */
    public void setAction(final String actionValue) {
        this.action = actionValue;
    }
    
    private String description;
    
    /**
    * Optional. The description for this Access Control List Rule.
    * @return The Description value.
    */
    public String getDescription() {
        return this.description;
    }
    
    /**
    * Optional. The description for this Access Control List Rule.
    * @param descriptionValue The Description value.
    */
    public void setDescription(final String descriptionValue) {
        this.description = descriptionValue;
    }
    
    private Integer order;
    
    /**
    * Optional. The order of application for this Access Control List Rule.
    * @return The Order value.
    */
    public Integer getOrder() {
        return this.order;
    }
    
    /**
    * Optional. The order of application for this Access Control List Rule.
    * @param orderValue The Order value.
    */
    public void setOrder(final Integer orderValue) {
        this.order = orderValue;
    }
    
    private String remoteSubnet;
    
    /**
    * Optional. The remote subnet that is granted access for this Access
    * Control List Rule.
    * @return The RemoteSubnet value.
    */
    public String getRemoteSubnet() {
        return this.remoteSubnet;
    }
    
    /**
    * Optional. The remote subnet that is granted access for this Access
    * Control List Rule.
    * @param remoteSubnetValue The RemoteSubnet value.
    */
    public void setRemoteSubnet(final String remoteSubnetValue) {
        this.remoteSubnet = remoteSubnetValue;
    }
}
