/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.windowsazure.management.compute.models;

import com.microsoft.windowsazure.core.OperationResponse;

/**
* The Check Hosted Service Name Availability operation response.
*/
public class HostedServiceCheckNameAvailabilityResponse extends OperationResponse {
    private boolean isAvailable;
    
    /**
    * Optional. Indicates whether the name is available for you to use. The
    * operation returns false for reserved or profane words.
    * @return The IsAvailable value.
    */
    public boolean isAvailable() {
        return this.isAvailable;
    }
    
    /**
    * Optional. Indicates whether the name is available for you to use. The
    * operation returns false for reserved or profane words.
    * @param isAvailableValue The IsAvailable value.
    */
    public void setIsAvailable(final boolean isAvailableValue) {
        this.isAvailable = isAvailableValue;
    }
    
    private String reason;
    
    /**
    * Optional. Describes why the name cannot be used to create the cloud
    * service.
    * @return The Reason value.
    */
    public String getReason() {
        return this.reason;
    }
    
    /**
    * Optional. Describes why the name cannot be used to create the cloud
    * service.
    * @param reasonValue The Reason value.
    */
    public void setReason(final String reasonValue) {
        this.reason = reasonValue;
    }
}
