/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.windowsazure.management.network.models;

/**
* Parameters supplied to the Add Network Security Group to subnet / network
* interface / role operation.
*/
public class NetworkSecurityGroupAddAssociationParameters {
    private String name;
    
    /**
    * Required. Gets or sets name for a Network Security Group from this
    * subscription.
    * @return The Name value.
    */
    public String getName() {
        return this.name;
    }
    
    /**
    * Required. Gets or sets name for a Network Security Group from this
    * subscription.
    * @param nameValue The Name value.
    */
    public void setName(final String nameValue) {
        this.name = nameValue;
    }
    
    /**
    * Initializes a new instance of the
    * NetworkSecurityGroupAddAssociationParameters class.
    *
    */
    public NetworkSecurityGroupAddAssociationParameters() {
    }
    
    /**
    * Initializes a new instance of the
    * NetworkSecurityGroupAddAssociationParameters class with required
    * arguments.
    *
    * @param name Gets or sets name for a Network Security Group from this
    * subscription.
    */
    public NetworkSecurityGroupAddAssociationParameters(String name) {
        if (name == null) {
            throw new NullPointerException("name");
        }
        this.setName(name);
    }
}
