/**
 * 
 * Copyright (c) Microsoft and contributors.  All rights reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

package com.microsoft.windowsazure.management.network.models;

import com.microsoft.windowsazure.core.LazyArrayList;
import com.microsoft.windowsazure.core.OperationResponse;

import java.util.ArrayList;

/**
* A Network Security Group associated with your subscription.
*/
public class NetworkSecurityGroupGetResponse extends OperationResponse {
    private String label;
    
    /**
    * Optional. Gets or sets the description for the Network Security Group.
    * @return The Label value.
    */
    public String getLabel() {
        return this.label;
    }
    
    /**
    * Optional. Gets or sets the description for the Network Security Group.
    * @param labelValue The Label value.
    */
    public void setLabel(final String labelValue) {
        this.label = labelValue;
    }
    
    private String location;
    
    /**
    * Optional. Gets or sets the location where the Network Security Group
    * exists.
    * @return The Location value.
    */
    public String getLocation() {
        return this.location;
    }
    
    /**
    * Optional. Gets or sets the location where the Network Security Group
    * exists.
    * @param locationValue The Location value.
    */
    public void setLocation(final String locationValue) {
        this.location = locationValue;
    }
    
    private String name;
    
    /**
    * Optional. Gets or sets the name of the Network Security Group.
    * @return The Name value.
    */
    public String getName() {
        return this.name;
    }
    
    /**
    * Optional. Gets or sets the name of the Network Security Group.
    * @param nameValue The Name value.
    */
    public void setName(final String nameValue) {
        this.name = nameValue;
    }
    
    private ArrayList<NetworkSecurityRule> rules;
    
    /**
    * Optional. Gets or sets the rules existing in the specified Network
    * Security Group
    * @return The Rules value.
    */
    public ArrayList<NetworkSecurityRule> getRules() {
        return this.rules;
    }
    
    /**
    * Optional. Gets or sets the rules existing in the specified Network
    * Security Group
    * @param rulesValue The Rules value.
    */
    public void setRules(final ArrayList<NetworkSecurityRule> rulesValue) {
        this.rules = rulesValue;
    }
    
    /**
    * Initializes a new instance of the NetworkSecurityGroupGetResponse class.
    *
    */
    public NetworkSecurityGroupGetResponse() {
        super();
        this.setRules(new LazyArrayList<NetworkSecurityRule>());
    }
}
